Subject: Re: filename expansion
From: [email-masked] ("Daniel P.C. da Silva")

12 Aug 1997 17:24:23 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (Win95; I)
Original-To: [email-masked]
Original-Cc: gnu-win32 mailing list <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

$Bill Luebkert wrote:

> There is a bug (IMHO) in the argument passing of non-cygwin shells.
> Cygwin assumes that the shell has no globbing ability and globs
> the cmdline.  Furthermore, it ignores ' and ", so you can't escape
> it.  I think I may have found a kludge around it though.
>
> Try:
>   xargs find . -name
>   *.pl -print
>   ^Z
> or
>   xargs find . -name
>   *.pl
>   -print
>   ^Z

Other solution is to write a program, not cygnus win32, that echoes his
arguments to sh.Like this 4dos batch file: (called "sh-c.btm")

@echo off
echo %&  |  sh

Now, I can call a cygnus win 32 command:

sh-c  find . -name "*.pl"

--
-------------------------------------------
Daniel P.C. Silva     Universidade do Minho
[email-masked]
-------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".